This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 1064

Summary: Question regarding Ref<SparseVector>
Product: Eigen Reporter: Benjamin Chretien <chretien>
Component: SparseAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: Feature Request CC: chtz, gael.guennebaud
Priority: Normal    
Version: 3.3 (current stable)   
Hardware: All   
OS: All   
Whiteboard:
Bug Depends on:    
Bug Blocks: 558    
Attachments:
Description Flags
Test with Ref<SparseMatrix/SparseVector> none

Description Benjamin Chretien 2015-09-15 03:03:37 UTC
Created attachment 604 [details]
Test with Ref<SparseMatrix/SparseVector>

Hi,

In the Eigen 3.3-alpha1 pre-release, I noticed that support for Ref<SparseMatrix> was added (which is greatly appreciated!). While doing a quick check to see if one of our projects, RobOptim (http://www.roboptim.net/), was working with the changes made to Eigen (we rely heavily on Eigen features such as Ref, sparse matrices/vectors etc.), I realized that Ref<SparseVector> is currently not possible. Is that a known issue/missing feature part of a to-do list? It may be worth adding to the changelog, since people may wrongly assume that Ref<SparseMatrix> support implies Ref<SparseVector> support.

Nonetheless, thanks for the great work on that new release!

Best regards,
Benjamin
Comment 1 Gael Guennebaud 2015-09-19 19:53:47 UTC
Thank you for the report. The truth is that I always forgot about SparseVector (not really useful IMO), but yes, Ref<SparseVector> is indeed useful to access to "inner-vectors" of a sparse matrix. So we should add support for it (and Map<SparseVector> too)
Comment 2 Gael Guennebaud 2015-10-26 15:27:36 UTC
Fixed in changeset 7755655e28d6
Comment 3 Nobody 2019-12-04 14:54:35 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1064.